desc 'Prepares command project structure and configuration.'
task :prepare_cmd_project do |t, args|
  require 'fileutils'
  require 'uu_os_cmd-server/version'

  # Prepare common server project structure.
  Rake::Task["prepare_project"].execute

  puts "Creating command configuration files"

  app_config_dir = File.join(Dir.pwd, 'config')
  Dir.mkdir(app_config_dir) unless File.directory?(app_config_dir)

  app_config = File.join(app_config_dir, 'app.rb')
  if !File.exists?(app_config)
    out = File.open(app_config, 'w+')
    out.write("# application configuration\n")
    out.write("#UU::OS::Application::Config[:some_param] = 'some value'\n")
    out.write("#\n")
    out.write("#UU::OS::Application::Config.replace({\n")
    out.write("#  :some_param => 'some value'\n")
    out.write("#})\n")
    out.write("#UU::OS::Application::Config.load do |config|\n")
    out.write("#  config[:some_param] = 'some value'\n")
    out.write("#end\n")
    out.close
  end

  gemfile = File.join(Dir.pwd, 'Gemfile')
  cont = File.read(gemfile)
  if cont !~ /gem 'uu_os_cmd-server'/
    source = "source 'http://gems.plus4u.net' do\n"
    cont.gsub!(source, "#{source}  gem 'uu_os_cmd-server', '~>#{UUOSCMDServer::VERSION.split('.')[0..1].join('.')}'\n")
    out = File.open(gemfile, 'w+')
    out.write(cont)
    out.close
  end

end
